Page MenuHomePhabricator

Move blue links on user page
Closed, ResolvedPublic1 Estimated Story Points

Assigned To
Authored By
alexhollender_WMF
Jan 25 2019, 3:08 PM
Referenced Files
F28492134: 91A37783-43BD-4FC8-A96E-9DD91171619B.jpeg
Mar 28 2019, 4:35 AM
F28492135: 40FB4413-F8A0-402E-BEBC-5C04B1E66884.jpeg
Mar 28 2019, 4:35 AM
F28492133: F04AA8E6-3930-44B2-89E3-A3E35CC49058.jpeg
Mar 28 2019, 4:35 AM
F28258278: Screen Shot 2019-02-21 at 10.15.33 AM.png
Feb 21 2019, 6:20 PM
F28258140: Screen Shot 2019-02-21 at 9.13.30 AM.png
Feb 21 2019, 5:14 PM
F28256542: Screen Shot 2019-02-20 at 11.20.11 PM.png
Feb 21 2019, 7:31 AM
F28256552: Screen Shot 2019-02-20 at 11.21.25 PM.png
Feb 21 2019, 7:31 AM
F28256556: Screen Shot 2019-02-20 at 11.09.06 PM.png
Feb 21 2019, 7:31 AM
Tokens
"Like" token, awarded by Jdlrobson.

Description

Description

For user pages, to resolve the awkwardness with the blue links at the top and the new AMC Article/Talk tabs, let's move the blue links below the toolbar:

user page.png (3×1 px, 1 MB)

QA instructions

Environment: staging
Browser & device: mobile, iOS & Android, all browsers
Skin: MFE/Minerva
Steps:

Acceptance criteria

  • The blue links should appear below the toolbar for all user pages (not just AMC mode)

QA Results

StatusDetails))
✅ PASST214697#4970835

QA Results:Production (eswiki)

StatusDetails))
✅ PASST214697#5064741

Event Timeline

alexhollender_WMF created this task.
Jdlrobson removed the point value for this task.Jan 25 2019, 9:45 PM
Jdlrobson awarded a token.
Jdlrobson set the point value for this task to 1.Feb 5 2019, 5:18 PM

Change 490388 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] User actions below page actions

https://gerrit.wikimedia.org/r/490388

Jdlrobson added a subscriber: Edtadros.

Hang on. It's not been merged yet @alexhollender :)

Change 490388 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] User actions below page actions

https://gerrit.wikimedia.org/r/490388

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome DevTools Device Emulator (iPhone X)

Test Artifact(s):

https://reading-web-staging.wmflabs.org/wiki{F28258276}/User:Jdlrobson

AMC Mode :

Screen Shot 2019-02-20 at 11.20.11 PM.png (638×760 px, 54 KB)

Non-AMC Mode:

Screen Shot 2019-02-21 at 10.15.33 AM.png (277×380 px, 19 KB)

Not logged in:

Screen Shot 2019-02-20 at 11.09.06 PM.png (536×762 px, 46 KB)

@Jdlrobson , I want to be sure before I pass this. The AC states " This should be for all user pages (not just AMC mode)". I tried a few other user pages but none of them had the links. Did you mean that this should work for the specific page in the task description but for all scenarios (AMC on, AMC off, and not logged in)?

...
Non-AMC Mode:

Screen Shot 2019-02-20 at 11.21.25 PM.png (596×754 px, 53 KB)

For completeness: @Edtadros the above screenshot looks like it's from AMC mode (the User page / Discussion tab shouldn't appear when AMC is off).

This is what I see for non-AMC mode logged in on RWS (reading web staging):

Screen Shot 2019-02-21 at 9.13.30 AM.png (362×1 px, 38 KB)

@alexhollender good catch. QA the QA! I will update the test results with the correct screenshot.
@Jdlrobson I'm seeing the same thing.

Looks good, thanks all.

Test Result:Production

Status: ✅ PASS
OS: iOS
Browser: Chrome browser on (iPhone XS Max)

Test Artifact(s):

AMC Mode :

F04AA8E6-3930-44B2-89E3-A3E35CC49058.jpeg (2×1 px, 518 KB)

Non-AMC Mode:

40FB4413-F8A0-402E-BEBC-5C04B1E66884.jpeg (2×1 px, 497 KB)

Not logged in:

91A37783-43BD-4FC8-A96E-9DD91171619B.jpeg (2×1 px, 494 KB)